<template>
  <q-page>
    <q-no-ssr>
      <div class="q-pa-md">
        <div class="text-center text-h4">Genre</div>
        <div class="text-center text-white">
          <q-btn
            flat
            :class="
              'q-ma-xs ' + (store.genre_id === 0 ? 'bg-orange' : 'bg-pink')
            "
            @click="store.setGenre(0)"
            >Semua</q-btn
          >
          <q-btn
            flat
            :class="
              'q-ma-xs ' +
              (store.genre_id === genre.id ? 'bg-orange' : 'bg-pink')
            "
            v-for="genre in store.genres"
            :key="genre.id"
            @click="store.setGenre(genre.id)"
            >{{ genre.name }} [{{ genre.count }}]</q-btn
          >
        </div>
        <div class="text-center" v-if="store.items.length <= 0">
          <div class="text-h6">Kosong</div>
        </div>
        <div class="row" v-else>
          <div class="col-xs-12">
            <q-pagination
              v-model="store.page"
              class="q-ma-md"
              :max="Math.ceil(store.count / store.limit)"
              :max-pages="9"
              direction-links
              @update:model-value="store.fetchItems()"
            />
          </div>
          <div
            class="col-md-4 col-xs-12"
            v-for="item in store.items"
            :key="item.slug"
          >
            <q-card class="q-ma-md" bordered flat>
              <router-link :to="'/game/' + item.slug">
                <image-view
                  :src="item.thumbnail"
                  :alt="placeholderImages.game"
                  :ratio="2"
                />
              </router-link>
              <q-card-section>
                <router-link :to="'/game/' + item.slug">
                  <div class="text-h5">{{ item.title }}</div>
                </router-link>
                <div>{{ item.description }}</div>
              </q-card-section>
            </q-card>
          </div>
        </div>
      </div>
    </q-no-ssr>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { useHomeBlogStore } from 'stores/home-game';
import { placeholderImages } from 'src/boot/placeholder';
import ImageView from 'src/components/ImageView.vue';

export default defineComponent({
  name: 'GamesPage',

  components: {
    ImageView,
  },
  setup() {
    const store = useHomeBlogStore();
    store.fetchFilters();
    store.fetchItems();

    return { store, placeholderImages };
  },
});
</script>
